#if !defined(AFX_CONFIGURETIMEZONERANGE_H__408A4DF3_554A_4A77_A13B_EFD34F244C5A__INCLUDED_)
#define AFX_CONFIGURETIMEZONERANGE_H__408A4DF3_554A_4A77_A13B_EFD34F244C5A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigureTimeZoneRange.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigureTimeZoneRange dialog

class CConfigureTimeZoneRange : public CDialog
{
// Construction
public:
	CConfigureTimeZoneRange(CWnd* pParent = NULL);   // standard constructor
	CConfigureTimeZoneRange(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CConfigureTimeZoneRange)
	enum { IDD = IDD_CONFIGURETZRANGE };
	CComboBox	m_TZList;
	CComboBox	m_AcctList;
	CString	m_StopTime;
	CString	m_BeginTime;
	long	m_DayType;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigureTimeZoneRange)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigureTimeZoneRange)
	virtual BOOL OnInitDialog();
	afx_msg void OnConfigure();
	afx_msg void OnSelchangeAcctList();
	afx_msg void OnSelchangeTZList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	ITimeZoneRangePtr	pTZ;

	void LoadAccounts();
	void LoadTimezones();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGURETIMEZONERANGE_H__408A4DF3_554A_4A77_A13B_EFD34F244C5A__INCLUDED_)
